//	=========================================================================
//	Project...:	kscxms.lib
//	File Name.:	xmsmain.h
// Date......: March 14, 1995
// Version...: 6.3
// COPYRIGHT (c) 1995 by Kenneth S. Cascio.  All Rights Reserved
// =========================================================================

#ifndef	__XMSMAIN_H
#define	__XMSMAIN_H

#include <kscxms.h>

// Define all global macros and Error codes

#define ALLOCATING		 1

#define ERR_TSUBS			 0
#define ERR_OBJECT       1
#define ERR_TLEVEL       2
#define ERR_TVARS        3
#define ERR_SUBRANGE     4
#define ERR_MAPID        5
#define ERR_INUSE        6
#define ERR_XMSMOVE      7
#define ERR_CONTROLLER   8
#define ERR_STATUS       9
#define ERR_NOITEM       10
#define ERR_MASTER       11
#define ERR_FRAMESIZE    12
#define ERR_XMSCHECK		 13
#define ERR_KBREQUEST	 14
#define ERR_ALLOCATE		 15
#define ERR_MAPARRAY		 16
#define ERR_STARTUP		 17
#define ERR_NEWACCESS	 18
#define ERR_INSTALL		 19
#define ERR_REMOVE		 20
#define ERR_DIRECTION	 21
#define ERR_COMPRESS		 22
#define ERR_NOXMSMEMORY	 23
#define ERR_GETMAPLOC	 24
#define ERR_NUMACTIVE	 25
#define ERR_MAPARRAYSIZE 26
#define ERR_FRAMEADJUST	 27
#define ERR_NOACCESS		 28
#define ERR_COPYRIGHT	 29
#define ERR_NOELEMENTS	 30
#define ERR_NOTARRAY		 31
#define ERR_DISPLAYMODE	 32

// Allow extern access to all modules including this header

extern char __KSCXMS__;
extern XMS_PARAMETERS XMS_Params;
extern void far (*XMS_Func)(void);

extern char XMS_Check(void);
extern void XMS_Entry(void);
extern void XMS_Size(int &KB_Available, int &KB_Largest);
extern char XMS_Allocate(unsigned int &XMS_Handle, int &KB_Requested);
extern char XMS_Move(void);
extern void XMS_Release(unsigned int &XMS_Handle);

#endif	// __XMSMAIN_H
